CVE-2019-16866 (retired)

Priority
Description
Unbound before 1.9.4 accesses uninitialized memory, which allows remote
attackers to trigger a crash via a crafted NOTIFY query. The source IP
address of the query must match an access-control rule.
Assigned-to
leosilva
Notes
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):not-affected
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Ubuntu 19.04 (Disco Dingo):released (1.9.0-2ubuntu0.1)
Ubuntu 19.10 (Eoan):released (1.9.0-2ubuntu1)
Patches:
Upstream:https://nlnetlabs.nl/downloads/unbound/patch_cve_2019-16866.diff
More Information

Updated: 2019-10-10 14:14:57 UTC (commit c0fbbb866b343f9cd6564b8d0808ad0e1e5f0b0d)